For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTMerge Variants
      • GETGet Product
      • DELDelete Product Bundle
      • PATCHUpdate Product
      • GETGet Taxonomies
      • GETGet Products
      • POSTCreate Product
      • GETGet Product Variants
      • POSTAdd Product Variants
      • PATCHUpdate Product Variants
      • POSTMove Variants to New Product
      • GETGet Packaging Requirement
      • GETGet Taxonomy by ID
      • GETGet Taxonomy Parent
      • POSTMove Variants Between Products
      • POSTConvert Variant to Bundle
LogoLogo
API ReferenceProducts

Get Packaging Requirement

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/packaging-requirement
GET
/2026-01/packaging-requirement
$curl https://sandbox-api.shipbob.com/2026-01/packaging-requirement \
> -H "Authorization: Bearer <token>"
200default
1[
2 {
3 "applicable_categories": [
4 {
5 "id": 0,
6 "sub_category_ids": [
7 0
8 ]
9 }
10 ],
11 "applicable_packaging_material_types": [
12 {
13 "id": 0,
14 "name": "string"
15 }
16 ],
17 "applicable_taxonomy": [
18 "string"
19 ],
20 "description": "string",
21 "id": 0,
22 "name": "string"
23 }
24]
Retrieves all available packaging requirements that can be assigned to a product.
Was this page helpful?
Previous

Move Variants to New Product

Next

Get Taxonomy by ID

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Response

Success
applicable_categorieslist of objects
List of product categories where this packaging requirement is applicable
applicable_packaging_material_typeslist of objects
List of packaging material types that are compatible with this requirement
applicable_taxonomylist of strings
List of taxonomy paths where this packaging requirement can be applied
descriptionstring
Detailed explanation of the packaging requirement and when it should be used
idinteger
Unique identifier for the packaging requirement
namestring

Display name of the packaging requirement (e.g., ‘Poly Bag’, ‘Bubble Wrap’)